var builder = DistributedApplication.CreateBuilder(args);

var postgres = builder.AddPostgres("postgres")
    .WithPgAdmin()
    .AddDatabase("gmrelay-db");

builder.AddProject<Projects.GmRelay_Bot>("bot")
    .WithReference(postgres)
    .WaitFor(postgres);

builder.AddProject<Projects.GmRelay_Web>("web")
    .WithReference(postgres)
    .WaitFor(postgres);

builder.Build().Run();
